This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 41349 - radvd doesn't start up when IPv6 is enabled
radvd doesn't start up when IPv6 is enabled
Status: CLOSED ERRATA
Product: Red Hat Powertools
Classification: Retired
Component: radvd (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
http://www.bieringer.de/linux/IPv6/IP...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-19 03:13 EDT by Dan Anderson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-19 03:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Anderson 2001-05-19 03:13:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3 i586; en-US; 0.7) Gecko/20010316

Description of problem:
When IPv6 is enabled (${NETWORKING_IPV6} is "yes"), the IPv6 router, radvd,
is NOT started.

How reproducible:
Always

Steps to Reproduce:
As root:
1.install radvd
2.enable ipv6 with
/etc/sysconfig/network line:
		NETWORKING_IPV6=yes
3.start radvd: /etc/init.d/radvd start
	

Actual Results:   # ps -ef |grep radvd |grep -v grep

Expected Results:   # ps -ef |grep radvd |grep -v grep
root      4980     1  0 May18 ?        00:00:00 radvd

Additional info:

In file /etc/init.d/radvd change this line with "&&" to "||":

# Check that networking is up.
#[ x${NETWORKING_IPV6} = "xyes" ] && exit 0
[ x${NETWORKING_IPV6} = "xyes" ] || exit 0
Comment 1 Pekka Savola 2001-05-19 06:26:19 EDT
This was already fixed in Powertools errata.  Thanks for reporting anyway! :-)
Comment 2 Dan Anderson 2001-05-19 15:54:50 EDT
I understand this fix has also been made in the "pl3" patch to
radvd-0.6.2. This patch, with numerous radvd bug fixes,
is by Nathan Lutchansky (lutchann) 
was released 4/28/2001 and is described and available from
http://v6web.litech.org/radvd/

The original radvd source by Lars Fennenberg (without these patches)
is at
ftp://ftp.cityline.net/pub/systems/linux/network/ipv6/radvd/
radvd is described by Lars at
http://www.linuxhq.com/IPv6/radvd.html

Note You need to log in before you can comment on or make changes to this bug.